## 1장

* 게놈 혹은 유전체 (Genome)  
한 개체의 유전자의 총 염기서열이며, 한 생물종의 거의 완전한 유전 정보의 총합이다. 게놈은 보통 DNA에 저장되어 있으며 일부 바이러스에는 RNA에 있다. ‘게놈’이라는 낱말은 유전자(Gene)와 염색체(chromosome)에서 유래하였으며, 1920년 함부르크 대학교의 식물학 교수 한스 빙클러가 만든 말이다. 우리말인 '유전체' 역시 동일한 뜻으로, 최재천 교수가 제안하였다(https://ko.wikipedia.org/wiki/게놈).  

* 유전자 (Gene)  
유전의 기본단위이다. 지구상의 모든 생물은 유전자를 지니고 있다. 유전자에는 생물의 세포를 구성하고 유지하고, 이것들이 유기적인 관계를 이루는 데 필요한 정보가 담겨있으며 생식을 통해 자손에게 유전된다. 게놈 서열의 특정한 위치에 있는 구간으로서 유전형질의 단위가 되는 것(https://ko.wikipedia.org/wiki/유전자).  

* 염색체 (Chromosome)  
생물체(엄밀히 말하면 진핵세포를 지닌 생물)의 세포분열과정에서만 관찰되며, 세포분열기에 들어가면서 유전물질을 안전하게 보호하고 딸세포들에게 형평성있게 유전정보를 분배하기위해 염색사가 꼬이고 뭉쳐져 응축되어 X자형태를 이룬구조물이다(https://ko.wikipedia.org/wiki/염색체).  

* DNA (DeoxyriboNucleic Acid, 디옥시리보핵산)  
핵산의 일종이며, 주로 세포의 핵 안에서 생물의 유전 정보를 저장하는 물질이다. DNA의 주 기능은 장기간에 걸친 정보저장이다. 결합되어 있는 핵염기에 의해 구분되는 네 종류의 뉴클레오타이드가 중합되어 이중 나선 구조를 이룬다(https://ko.wikipedia.org/wiki/DNA).  

* RNA(RiboNucleic Acid, 리보핵산)  
오탄당의 일종인 리보스를 기반으로 뉴클레오타이드를 이루는 핵산의 한 종류이다. 하나의 나선이 길게 꼬여 있는 구조를 지니며 DNA의 일부가 전사되어 만들어진다(https://ko.wikipedia.org/wiki/RNA).

* mRNA (messenger RiboNucleic Acid, 전령 RNA)  
RNA 분자가 화학적으로 암호화된 단백질을 생산하는데 있어서 '설계도'와 같은 역할을 한다. 전령 RNA의 '생활사'는 진핵세포 안에서 일어난다. RNA는 세포핵 안에서 전사 과정이 진행되고, RNA가 세포질로 운반되어 리보솜에 의해 번역된다. 전령 RNA가 생을 마치면(전사와 번역이 종료된 후) 퇴화되고 소멸한다(https://ko.wikipedia.org/wiki/전령_RNA).

* 유전자 발현  
DNA를 구성하는 유전 정보, 즉 유전자에 의해 생물을 구성하는 다양한 단백질이 형성되는 과정. 주어진 유전자로부터 생산된 mRNA의 양을 유전자 발현이라고 한다(https://ko.wikipedia.org/wiki/유전자_발현).

* RPKM (Reads Per Kilobase of transcript per Million mapped reads)  
총 판독 길이 및 서열 분석 판독 횟수를 정규화하여 RNA 염기서열분석 데이터로부터 유전자 발현을 정규화하는 방법  

* 분자생물학의 중심원리 (Central Dogma of Molecular Biology)  
단백질로 만들어진 정보는 다른 단백질이나 핵산으로 전달될 수 없다는 의미를 담고 있고, 생명체의 유전 정보가 어떻게 전달되는지 나타낸다(https://ko.wikipedia.org/wiki/분자생물학의_중심원리).

* RNAseq (RNA sequencing, RNA 염기서열분석)  
지속적으로 변하는 세포 전사체를 분석하는데 사용된다(https://en.wikipedia.org/wiki/RNA-Seq).

* 벡터 (Vector)
물리학적으로 '방향'과 '크기'로 결정되는 양  
수학적으로 벡터 공간의 원소. 행렬의 일부분 (행벡터와 열벡터가 있다)  
https://namu.wiki/w/벡터(수학)  

* 텐서 (Tensor)  
벡터 계산을 단순화하기 위해 여러 같은 성질의 벡터를 한 행렬안에 표기하고 그것을 단순화하여 표기한 것(https://namu.wiki/w/텐서)

* 외적 (Outer Product)  
수학적 의미에서 백터끼리 곱하면 행렬을 얻게된다(https://ko.wikipedia.org/wiki/외적). 물리학적 의미에서 벡터끼리 곱하면 벡터를 얻게된다(https://ko.wikipedia.org/wiki/벡터곱).  
http://mrw0119.tistory.com/12  

* 데이터 랭글링 (data Wrangling or Munging)  
원본을 또 다른 형태로 전환하거나 매핑하는 과정

* 밀도추정 (Density Estimation)  
관측된 데이터의 분포로부터 원래 변수의 (확률) 분포 특성을 추정하고자 하는 것. 밀도추정에는 두 가지 방식이 있는데, Parametric과 Non-Parametric 방식이 있다. 전자는 확률밀도함수에 대한 모델을 정해놓고 데이터들로부터 모델의 파라미터만 추정하는 방식이다. 후자는 어떠한 사전 정보나 지식없이 순수하게 관측된 데이터로 밀도를 추정하고자할 때를 말한다(http://darkpgmr.tistory.com/147).  
* 커널 함수 (Kernel Function)  
수학적으로 커널함수는 원점을 중심으로 대칭이면서 적분값이 1이고, 음수가 아닌 함수로 정의되며, Gaussian, Epanechnikov, uniform 함수 등이 대표적인 커널 함수다(http://darkpgmr.tistory.com/147).  

* 커널 밀도 추정 (KDE: Kernel Density Estimation)  
Non-Parametric 밀도 추정의 가장 간단한 형태가 히스토그램으로 나타내는 것이다. 히스토그램은 bin의 경계에서 불연속성이 나타나고, bin의 크기 및 시작 위치에서 히스토그램이 달라지거나, 고차원 데이터에는 메모리 문제 등으로 사용하기 힘들다. 커널 함수를 이용하여 히스토그램의 문제점을 개선한 방법이다. KDE를 통해 얻은 확률밀도함수는 히스토그램 확률밀도 함수를 스무딩(smoothing)한 것이다(http://darkpgmr.tistory.com/147).  