* 푸리에 변환 (Fourier Transform)  
시간에 대한 함수(혹은 신호)를 함수를 구성하고 있는 주파수 성분으로 분해하는 작업이다. 음악에서, 악보에 코드를 나타낼 때, 주파수 혹은 음높이로 표현되는 것과 유사하다.  
https://ko.wikipedia.org/wiki/푸리에_변환  
https://namu.wiki/w/푸리에%20변환  
http://darkpgmr.tistory.com/171  

* 이산 수학 (Discrete Mathematics)  
이산수학은 이산적인 수학 구조에 대해 연구하는 학문으로, 연속되지 않는 공간을 다룬다. 유한수학이라고도 하며, 전산학적인 측면을 강조할 때는 전산수학이라고도 한다.  
https://ko.wikipedia.org/wiki/이산수학  


* 이산 푸리에 변환 (DFT, Discrete Fourier transform)  
이산적인 입력 신호에 대한 푸리에 변환으로, 디지털 신호 분석과 같은 분야에 사용된다.  
https://ko.wikipedia.org/wiki/이산_푸리에_변환    

* 고속 푸리에 변환 (FFT, Fast Fourier Transform)  
이산 푸리에 변환과 그 역변환을 빠르게 수행하는 효율적인 알고리즘이다. FFT는 디지털 신호 처리에서 편미분 방정식의 근을 구하는 알고리즘에 이르기까지 많은 분야에서 사용한다(https://ko.wikipedia.org/wiki/고속_푸리에_변환).  

* 스펙트럼 (Spectrum)  
흔히 빛을 프리즘 등의 도구로 색깔에 따라 분해해서 살펴보는 것을 일컫는다. 넓은 의미로, 어떤 복합적인 신호를 가진 것을 1~2가지 신호에 따라 분해해서 표시하는 기술을 일컫는다(https://ko.wikipedia.org/wiki/스펙트럼).  

* 스펙트로그램 (Spectrogram)  
소리나 파동을 시각화하여 파악하기 위한 도구로, 파형(waveform)과 스펙트럼(spectrum)의 특징이 조합되어 있다. 파형에서는 시간축의 변화에 따른 진폭 축의 변화를 볼 수 있고, 스펙트럼에서는 주파수 축의 변화에 따른 진폭 축의 변화를 볼 수 있는 반면, 스펙트로그램에서는 시간축과 주파수 축의 변화에 따라 진폭의 차이를 인쇄 농도 / 표시 색상의 차이로 나타낸다(https://ko.wikipedia.org/wiki/스펙트로그램).  

* 웨이블릿 (Wavelet)  
0을 중심으로 증가와 감소를 반복하는 진폭을 수반한 파도와 같은 진동을 말한다(https://ko.wikipedia.org/wiki/웨이블릿).  
* 윈도우 함수 (Window or Apodization or Tapering Function)  
신호 처리에서 윈도우 함수는 선택한 간격 밖에서 0값을 갖는 수학 함수다. 일반적인 응용 프로그램에서 사용되는 창 함수는 음수가 아니며 부드럽고 "종 모양"의 곡선이다. 함수 cos ωt의 푸리에 변환은 주파수 ±ω를 제외하고 0이다(https://en.wikipedia.org/wiki/Window_function).  

* 윈도윙, 윈도우 처리 (Windowing)  
cos ωt와 같은 간단한 파형의 윈도우 처리(윈도윙)은 푸리에 변환으로 인해 ω 이외의 주파수에서 0이 아닌 값이 발생한다(스펙트럼 누설 - spectral leakage). 스펙트럼 누설은 ω 근처에서 가장 나쁜 (높은) 경향이 있고, ω로부터 가장 멀리 떨어진 주파수에서 가장 작다. 분석중인 파형이 서로 다른 주파수를 가진 두 개의 사인파(정현파)를 포함하면 누설은 스펙트럼을 구별하는 기능을 방해할 수 있다. 그래서, 윈도우 함수로 윈도우 처리(윈도윙)을 한다(https://en.wikipedia.org/wiki/Window_function).  

* 카이저 윈도우 (Kaiser Window)  
유한 충격(impulse) 응답 필터 설계 및 스펙트럼 분석에 사용되는 단일 매개 변수의 윈도우 함수 계열이다(https://en.wikipedia.org/wiki/Kaiser_window).  

* 레인지 빈 (Range Bin)  
수신된 레이더 신호의 샘플링 데이터가 이산된 요소(http://www.pa.op.dlr.de/cleocd/poldirad/glossary.htm).  

* 거리 분해능 (Range Resolution)  
레이더에서 같은 방향으로 떨어져 있는 두 물체를 한 물체가 아닌 두 물체로 식별할 수 있는 최소 거리(http://radar.kma.go.kr/lecture/dictionary/radar.do?pageIndex=3).  

* 방위각 (Azimuth)  
구면좌표계에서 잰 각도이며 원점에 있는 관측자로 부터 대상까지의 벡터를 기준 평면에 수직으로 투영하여서 그것이 기준 평면 위에 있는 기준 벡터와 이루는 각으로 계산된다(https://ko.wikipedia.org/wiki/방위각).  