* 희소행렬 (Sparse Matrix)  
행렬의 값이 대부분 0인 경우를 가리키는 표현이다.  
https://ko.wikipedia.org/wiki/희소행렬  

* 분할표 (Contingency Table or Cross Tabulation or Crosstab)  
여러 변수의 빈도 분포를 표시하는 행렬 형식의 표 유형이다. 분할표로 두 변수 사이의 상호 관계를 파악할 수 있다.  
https://en.wikipedia.org/wiki/Contingency_table  

* 혼동행렬 (Contingency/Confusion Matrix)  
기계 학습 분야 및 통계 분류 문제에서 알고리즘의 성능을 평가하는 지표로 사용된다. 예측 분석에서 참 양성, 참 음성, 거짓 양성, 거짓 음성의 요소가 있는 2행 2열의 행렬이다.  
https://en.wikipedia.org/wiki/Confusion_matrix  

* 확률분포 (Probability distribution)  
확률변수가 특정한 값을 가질 확률을 나타내는 함수를 의미한다. 예를 들어, 주사위를 던졌을 때 나오는 눈에 대한 확률변수가 있을 때, 그 변수의 확률분포는 이산균등분포가 된다.  
https://ko.wikipedia.org/wiki/확률분포  

* 베이지안 확률 (Bayesian Probability)  
https://medium.com/fun-easy-ai/베이지안-확률을-구하기-위해-알아두어야-하는-개념-70ed4c97dcb1  
http://darkpgmr.tistory.com/119  

* 엔트로피 (Entropy)   
확률분포에서 가지는 확신의 정도를 수치로 표현한 것.  
물리학에서 상태가 분산되어 있는 정도를 나타낸다.  
https://datascienceschool.net/view-notebook/d3ecf5cc7027441c8509c0cae7fea088/  
https://ko.wikipedia.org/wiki/엔트로피  

* 정보 엔트로피 (Information Entropy)  
정보 이론에서 시스템은 송신자, 채널, 수신자를 이용하여 모형화 한다. 송신자는 채널을 통해 전달되는 메시지를 만들어낸다. 채널은 특정한 방식을 통해 메시지를 변경한다. 수신자는 어떤 메시지가 보내진 것인지 추론하고자 한다. 이 맥락에서 정보 엔트로피(또는 섀넌 엔트로피)는 각 메시지에 포함된 정보의 기댓값(평균)이다. '메시지'는 어떤 흐름의 정보에 대해서도 모형화 할 수 있다.  
https://ko.wikipedia.org/wiki/정보_엔트로피  

* 정보 이론 (Information Theory)  
최대한 많은 데이터를 매체에 저장하거나 채널을 통해 통신하기 위해 데이터를 정량화하는 응용 수학의 한 분야이다. 데이터의 단위인 정보 엔트로피는 보통 저장 또는 통신에 사용되는 평균적인 비트 수로 표현된다. 예를 들어 매일의 날씨 정보가 3비트의 엔트로피를 가진다면, 하루의 날씨를 평균 약 3비트로 기술할 수 있다.  
https://ko.wikipedia.org/wiki/정보_이론  

* 시각 정보 이론 (Visual Information Theory)  
https://colah.github.io/posts/2015-09-Visual-Information/  

* 정보 변형 (VI, Variation of Information)  
확률 및 정보 이론에서 정보 변형 또는 공유 정보 거리의 변화는 두 군집화(요소의 부분) 사이의 거리를 측정한다.  
https://en.wikipedia.org/wiki/Variation_of_information  

* 고윳값, 고유벡터 (Eigenvalue, Eigenvector)  
선형대수학에서, 고유 벡터는 선형 변환이 일어난 후에도 방향이 변하지 않는, 영벡터가 아닌 벡터이다.  
고유 벡터의 길이가 변하는 배수를 선형 변환의 그 고유 벡터에 대응하는 고윳값이라고 한다.  
https://ko.wikipedia.org/wiki/고윳값  
http://darkpgmr.tistory.com/105  

* 페이지랭크 (PageRank)  
월드 와이드 웹과 같은 하이퍼링크 구조를 가지는 문서에 상대적 중요도에 따라 가중치를 부여하는 방법이다. 이 알고리즘은 서로간에 인용과 참조로 연결된 임의의 묶음에 적용할 수 있다.  
https://ko.wikipedia.org/wiki/페이지랭크  

* 동차좌표 (Homogeneous Coordinates)
n차원 사영 공간을 n+1개의 좌표로 나타내는 좌표계다.  
https://ko.wikipedia.org/wiki/동차좌표  
http://www.silverwolf.co.kr/realprog/73432  

* 선형보간법 (Linear Interpolation)  
끝점의 값이 주어졌을 때 그 사이에 위치한 값을 추정하기 위하여 직선 거리에 따라 선형적으로 계산하는 방법이다. 선형 보간법은 1차원 직선상에서 이루어지는 보간법이다. 이를 2차원으로 확장하여 평면에 적용한 것이 이중 선형 보간법(bilinear interpolation)이고, 이를 3차원으로 확장하여 입방체에 적용한 것이 삼중 선형 보간법(trilinear interpolation)이다.
https://ko.wikipedia.org/wiki/선형_보간법  
https://en.wikipedia.org/wiki/Bilinear_interpolation  